AOZ Studio Beta - Bug #801

Screen Open clips screen when Text columns & Rows are set. Also font size used is wrong.
07/13/2021 10:49 PM - Brian Flanagan

Status: Closed Start date: 07/13/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B8) u15

Description

See right edge of snapshot to see clipping.
For example:
Screen Open 0,1920,1080,32, Lowres, 60, 30

The above should open a 1920 x 1080 screen with 60 columns and 30 lines of text.
To obtain this text screen size, the font should scale to 32 x 36 pixels:

1920 / 60 = 32
1080 / 30 36

Instead it is scaled in the opposite direction to 9.9180 x 16.5313.
Here's an example program to illustrate the problem:

cols=60 : lines=30
scrWidth=1920 : scrHeight=1080
Screen Open 0,scrWidth, scrHeight, 32, Lowres, 60, 30
Curs Off : Flash Off : Palette 0, SFFFFFF,$77FF77 : Pen 1 : Paper 0 : Ink 1 : Cls O
tb$=Chr$ (9)
Box 0,0 To scrWidth-1, scrHeight-1
Draw 0,0 To scrWidth-1, scrHeight-1
Draw 0, scrHeight-1 To scrWidth-1,0
Ink 1
' Show columns
For c=1 to cols
Print Chr$ (48+ (c Mod 10));
Next
Print Repeat$ (tb$+".",26);" Right edge is clipped—->"
Print "Above line is 60 chars long."

Print

Fix 3

ES="4###. . #### pixels."

Print "Font width is: "; : Print Using £$; X Graphic(1l)
Print " should be: "; : Print Using £$; scrWidth/60

Print "Font height is: "; : Print Using £f$; Y Graphic(1l)
Print " should be: "; : Print Using £f$; scrHeight/30

' Show lines
Locate 0,7
For r=8 to lines
Print Chr$ (48+ (r Mod 10))

Next r
Print
Locate 1, : Print "The numbers across show the 60 columns."
Locate 1, : Print "The numbers across the left edge show the 30 rows."
Ink 2
Box 0,0 To cols*X Graphic(l),lines*Y Graphic (1)
Locate 1, : Print "The area bounded by the green rectangle should fill the screen!"
Do
Wait Vbl
Loop

History

#1 - 07/15/2021 05:33 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed!

#2 - 09/18/2021 01:53 AM - Brian Flanagan

- Status changed from Resolved to Closed

Well, it works better now. Given that we can no longer specify the number of columns, it works within that new context.

| still say that we should be able to specify BOTH columns and lines.
